org.eclipse.ui.activities

## Interface IMutableActivityManager

All Superinterfaces:
  IActivityManager

    public interface IMutableActivityManager
    extends IActivityManager

An instance of this interface allows clients to manage activities, as defined by the extension point `org.eclipse.ui.activities`.

This interface extends `IActivityManager` by granting the ability to alter the set of currently enabled activities.

This interface is not intended to be extended or implemented by clients.

Since:
  3.0
Restriction:
  This interface is not intended to be implemented by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `setEnabledActivityIds(Set enabledActivityIds)` Sets the set of identifiers to enabled activities.

### Methods inherited from interface org.eclipse.ui.activities.IActivityManager

`addActivityManagerListener, getActivity, getCategory, getDefinedActivityIds, getDefinedCategoryIds, getEnabledActivityIds, getIdentifier, removeActivityManagerListener`

### Method Detail

#### setEnabledActivityIds

    void setEnabledActivityIds(Set enabledActivityIds)

Sets the set of identifiers to enabled activities.

Parameters:
  `enabledActivityIds` - the set of identifiers to enabled activities. This set may be empty, but it must not be `null`. If this set is not empty, it must only contain instances of `String`.